List categories
curl --request GET \
--url https://sacra.com/api/v1/categories/ \
--header 'Authorization: <api-key>'import requests
url = "https://sacra.com/api/v1/categories/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sacra.com/api/v1/categories/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"id": 31,
"name": "design",
"slug": "design"
},
{
"id": 13,
"name": "b2b",
"slug": "b2b"
},
{
"id": 32,
"name": "online whiteboard",
"slug": "online-whiteboard"
}
]
}Categories
List categories - Categories API
Returns categories for a given company, or a single category by slug.
Lookup modes:
- By
slug— returns the single matching category - By
company_domainorcompany_id— returns all categories for that company
At least one of company_domain, company_id, or slug is required.
GET
/
api
/
v1
/
categories
/
List categories
Authorizations
Authenticate using one of two formats:
- Organization/user token:
Token <your-token> - Stytch JWT:
Bearer <your-jwt>
Query Parameters
Fully qualified company domain (e.g. figma.com). Required if company_id and slug are not given.
Company ID (e.g. 101). Required if company_domain and slug are not given.
Category slug to look up directly (e.g. design).
Response
Show child attributes
Show child attributes